
Smart Proxy - Bug #2659

use of gsub! in proxy environment code causes modules to be missed

06/12/2013 10:31 AM - Greg Sutcliffe

Status: Closed   

Priority: Normal   

Assignee: Greg Sutcliffe   

Category: Puppet   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

we call gsub!('string','/') in one place and then gsub('string',variable) a few lines later, which cannot possibly work since we have

removed 'string' from the object. Fix incoming.

Associated revisions

Revision 92a8bdef - 06/14/2013 07:33 AM - Greg Sutcliffe 

Fixes #2659 - Use gsub in a non-destructive manner

Revision 31c338bf - 06/20/2013 04:52 AM - Greg Sutcliffe 

Fixes #2659 - Use gsub in a non-destructive manner

(cherry picked from commit 92a8bdeff4503f0160ec2580996415e749ca0c8f)

History

#1 - 06/12/2013 10:36 AM - Greg Sutcliffe

- Status changed from Assigned to Ready For Testing

https://github.com/theforeman/smart-proxy/pull/94

#2 - 06/14/2013 08:18 AM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 92a8bdeff4503f0160ec2580996415e749ca0c8f.
